DELETE FROM idssignature where version NOT IN (SELECT idsactivesignatureversion from normalizedsiteconfig where idsactivesignatureversion IS NOT null UNION SELECT inprogressidssignatureversion from normalizedsiteconfig where inprogressidssignatureversion IS NOT null);
VACUUM idssignature;

--Day 2 cron job to ensure all stale data is deleted before deleting the entry
WITH siteToDelete AS (
    SELECT siteid FROM normalizedsiteconfig
    WHERE deleteSiteStatus='marked_for_delete'
    ),
NormalizedComputeConfig_del AS (
    DELETE FROM normalizedcomputeconfig
    WHERE siteid in (select * from siteToDelete)
    ),
NormalizedGroupConfig_del AS (
    DELETE FROM normalizedgroupconfig
    WHERE siteid in (select * from siteToDelete)
    ),
NormalizedDomainConfig_del AS (
    DELETE FROM normalizeddomainconfig
    WHERE siteid in (select * from siteToDelete)
    ),
GroupComputeRelationshipConfig_del AS (
    DELETE FROM groupcomputerelationshipconfig
    WHERE siteid in (select * from siteToDelete)
    ),
GroupIpSetRelationShipConfig_del AS (
    DELETE FROM groupipsetrelationshipconfig
    WHERE siteid in (select * from siteToDelete)
    ),
NormalizedDfwPolicyConfig_del AS (
    DELETE FROM normalizeddfwpolicyconfig
    WHERE siteid in (select * from siteToDelete)
    ),
NormalizedDfwRuleConfig_del AS (
    DELETE FROM normalizeddfwruleconfig
    WHERE siteid in (select * from siteToDelete)
    ),
IpSetMemberInfo_del AS (
    DELETE FROM ipsetmemberinfo
    WHERE siteid in (select * from siteToDelete)
    )
DELETE FROM normalizedsiteconfig where deleteSiteStatus in ('marked_for_delete');

--Day 1 cron job to update status for executing Day 2 job
WITH siteToDelete AS (
    SELECT siteid FROM normalizedsiteconfig
    WHERE deleteSiteStatus='marked_for_cron_delete'
    ),
NormalizedComputeConfig_del AS (
    DELETE FROM normalizedcomputeconfig
    WHERE siteid in (select * from siteToDelete)
    ),
NormalizedGroupConfig_del AS (
    DELETE FROM normalizedgroupconfig
    WHERE siteid in (select * from siteToDelete)
    ),
NormalizedDomainConfig_del AS (
    DELETE FROM normalizeddomainconfig
    WHERE siteid in (select * from siteToDelete)
    ),
GroupComputeRelationshipConfig_del AS (
    DELETE FROM groupcomputerelationshipconfig
    WHERE siteid in (select * from siteToDelete)
    ),
GroupIpSetRelationShipConfig_del AS (
    DELETE FROM groupipsetrelationshipconfig
    WHERE siteid in (select * from siteToDelete)
    ),
NormalizedDfwPolicyConfig_del AS (
    DELETE FROM normalizeddfwpolicyconfig
    WHERE siteid in (select * from siteToDelete)
    ),
NormalizedDfwRuleConfig_del AS (
    DELETE FROM normalizeddfwruleconfig
    WHERE siteid in (select * from siteToDelete)
    ),
IpSetMemberInfo_del AS (
    DELETE FROM ipsetmemberinfo
    WHERE siteid in (select * from siteToDelete)
    )
UPDATE normalizedsiteconfig SET deleteSiteStatus = 'marked_for_delete'
WHERE deleteSiteStatus='marked_for_cron_delete';

VACUUM normalizedcomputeconfig;
VACUUM normalizedgroupconfig;
VACUUM normalizeddomainconfig;
VACUUM groupcomputerelationshipconfig;
VACUUM groupipsetrelationshipconfig;
VACUUM normalizeddfwpolicyconfig;
VACUUM normalizeddfwruleconfig;
VACUUM ipsetmemberinfo;
VACUUM normalizedsiteconfig;
