#!/bin/bash
set -e

# load secrets-list as env variable
source /opt/vmware/nsxi/wait-for-scripts/secrets-list

for secret in "${secrets[@]}"; do
    echo "checking variable ${secret}"
    if [[ -n "${!secret+x}" ]]; then
        echo "${secret} is set"
    else
        echo "\"${secret}\" is missing. trigger spark-operator restart and exit"
        lastUpdated=`kubectl get deployment spark-operator -o=jsonpath="{.spec.template.metadata.annotations.vmware/last-updated}"`
        currTime=`date +%s`

        if [[ -z "${lastUpdated}" || $((currTime-lastUpdated)) > 300 ]]; then
            echo "spark-operator up for more than 5 mins, performing annotation update to trigger restart"
            patch_json='{"spec": {"template": {"metadata": {"annotations": {"vmware/last-updated": "'${currTime}'"}}}}}'
            kubectl patch deployment spark-operator --patch "$(echo "$patch_json")"
        else
            echo "last-updated was < 2mins ago. sleep and exit"
        fi

        echo "sleep for 2 mins"
        sleep 120
        echo "exiting initContainer with non-zero exit code"
        exit 1
    fi
done
exit 0
